Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011517
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2009-11-26 13:252009-12-09 00:00
ReportermtaalView Statuspublic 
Assigned Toiperdomo 
PriorityurgentResolutionfixedFixed in Version2.50MP10
StatusclosedFix in branchFixed in SCM revision89b26678b94c
ProjectionnoneETAnoneTarget Versionpi
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011517: When updating module after heartbeat configuration no module is shown

DescriptionTo reproduce:
1) install the attached module
2) make sure that heartbeat in ad_system_info is set to N
3) go to module management and scan for updates
4) click on the link updates available in the top
5) configure heartbeat
6) then the next window shows the module window without any modules (see attached screenshot).
TagsNo tags attached.
Attached Files? file icon org.openbravo.localization.spain.referencedata.taxes-1.0.0.obx [^] (72,511 bytes) 2009-11-26 13:26
png file icon update_no_module.png [^] (19,197 bytes) 2009-11-26 15:20

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0010820 closedalostale Wrong flow when trying to install a non purchased module with a deactivated Heartbet 

-  Notes
(0022260)
hgbot (developer)
2009-11-30 17:20

Repository: erp/devel/pi
Changeset: 89b26678b94c532ba8d2f162b3a1f6a718601a61
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Mon Nov 30 17:20:18 2009 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/89b26678b94c532ba8d2f162b3a1f6a718601a61 [^]

Fixes issue 11517: Fixes the flow when updating a module

---
M src/org/openbravo/erpCommon/ad_forms/Heartbeat.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_process/TestHeartbeat.java
---
(0022426)
hudsonbot (developer)
2009-12-04 09:14

---
A changeset related to this issue has passed a series of tests and has been promoted to main:

Changeset: http://code.openbravo.com/erp/devel/main/rev/f6bc559b1872 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
---
(0022543)
mtaal (developer)
2009-12-08 13:20

Closing

- Issue History
Date Modified Username Field Change
2009-11-26 13:25 mtaal New Issue
2009-11-26 13:25 mtaal Assigned To => mtaal
2009-11-26 13:26 mtaal File Added: org.openbravo.localization.spain.referencedata.taxes-1.0.0.obx
2009-11-26 15:20 mtaal File Added: update_no_module.png
2009-11-26 16:47 mtaal Assigned To mtaal => iperdomo
2009-11-30 12:37 iperdomo Status new => scheduled
2009-11-30 12:37 iperdomo fix_in_branch => pi
2009-11-30 12:37 iperdomo Priority normal => urgent
2009-11-30 12:37 iperdomo fix_in_branch pi =>
2009-11-30 12:43 iperdomo Relationship added related to 0010820
2009-11-30 17:20 hgbot Checkin
2009-11-30 17:20 hgbot Note Added: 0022260
2009-11-30 17:20 hgbot Status scheduled => resolved
2009-11-30 17:20 hgbot Resolution open => fixed
2009-11-30 17:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/89b26678b94c532ba8d2f162b3a1f6a718601a61 [^]
2009-12-04 09:14 hudsonbot Checkin
2009-12-04 09:14 hudsonbot Note Added: 0022426
2009-12-08 13:20 mtaal Note Added: 0022543
2009-12-08 13:20 mtaal Status resolved => closed
2009-12-08 13:20 mtaal Fixed in Version => 2.50MP10
2009-12-09 00:00 anonymous sf_bug_id 0 => 2911054


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker